uniform vec2 texShift;
uniform vec3 camPos;
varying vec3 eyeVec;

void main() {
	eyeVec = camPos - vec3(gl_Vertex);
	gl_TexCoord[0] = gl_MultiTexCoord0 + vec4( texShift.x,.0,.0,.0);
	gl_TexCoord[1] = gl_MultiTexCoord0 + vec4(-texShift.x,.0,.0,.0);
	gl_TexCoord[2] = gl_MultiTexCoord0 + vec4(.0, texShift.y,.0,.0);
	gl_TexCoord[3] = gl_MultiTexCoord0 + vec4(.0,-texShift.y,.0,.0);
	gl_Position = ftransform();
}