uniform vec3 factors, patchOffset;
varying float fogCoord;

void main()	{
	gl_TexCoord[1] = gl_Vertex * factors.x;
	vec4 pos = gl_Vertex.xzyw + vec4(patchOffset, .0);
	pos.y = gl_MultiTexCoord0.x;
	gl_TexCoord[0] = pos.xzyw * factors.y;
	
	pos = gl_ModelViewProjectionMatrix * pos;
	fogCoord = dot(pos.xyz, pos.xyz)*factors.z;
	gl_Position = pos;
}